Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Interface RemoteUICallBean

All Known Implementing Classes:
  AbstractRemoteCallUIBean, Anchor, Div, Submit

    public interface RemoteUICallBean

Method Summary
`void` | `setAfterLoading(String afterLoading)`
`void` | `setBeforeLoading(String beforeLoading)`
`void` | `setErrorText(String errorText)`
`void` | `setExecuteScripts(String executeScripts)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHandler(String handler)`
`void` | `setHref(String href)`
`void` | `setIndicator(String indicator)`
`void` | `setListenTopics(String topics)`
`void` | `setLoadingText(String loadingText)`
`void` | `setNotifyTopics(String topics)`
`void` | `setShowErrorTransportText(String showError)`
`void` | `setShowLoadingText(String showLoadingText)`

Method Detail

### setListenTopics

    void setListenTopics(String topics)

### setNotifyTopics

    void setNotifyTopics(String topics)

### setHref

    void setHref(String href)

### setErrorText

    void setErrorText(String errorText)

### setAfterLoading

    void setAfterLoading(String afterLoading)

### setBeforeLoading

    void setBeforeLoading(String beforeLoading)

### setExecuteScripts

    void setExecuteScripts(String executeScripts)

### setLoadingText

    void setLoadingText(String loadingText)

### setHandler

    void setHandler(String handler)

### setFormFilter

    void setFormFilter(String formFilter)

### setFormId

    void setFormId(String formId)

### setShowErrorTransportText

    void setShowErrorTransportText(String showError)

### setShowLoadingText

    void setShowLoadingText(String showLoadingText)

### setIndicator

    void setIndicator(String indicator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.